/changes/acknowledge

Acknowledge processing a connection on a specified interface with or without errors.

Body Params
string
required

Graphite supports acknowledgment date tracking for multiple interfaces. Include the name of your interface here. This name should match the interface name used in the changes/connections API call.

string
enum

Connection role belonging to the calling entity. Required to specify a connection when more than one connection exists between the same two entities.

Allowed:
publicIds
array of strings
required
deprecated

The acknowledge API only supports acknowledging one connection at a time. Use publicId or connectionId.

publicIds*
string
required

The public id of the connected entity to acknowledge. Use this or connectionId to identify the connection.

instanceIds
array of strings
required
deprecated

The acknowledge API only supports acknowledging one instance at a time. Use instanceId.

instanceIds*
string
required

The _id value of the ERP_Record or groupKey instance corresponding to this acknowledgement.

string
required

The default behavior of Acknowledge is to update the status in an instance of an ERP_Record group, identified by instanceId. The groupKey field overrides this behavior and will allow acknowledgments to update the status in any group.

string
required

The id of the connection to acknowledge. Use this or publicId to identify the connection.

errors
array of strings
required

If there were any errors encountered when synchronizing a connection, you can report them by including this property. If this property is included and not empty, the acknowledgment is deemed unsuccessful.The corresponding connection will remain on the changes list and the 'Last Integration Date' will not be updated.

errors*
date-time
required

The default behavior of Acknowledge is to update a sync date equal to the last updated at date. This field allows the caller to set a custom sync-date, preventing overwriting changes that occured during an integration.

Response

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json